dht::TypeStore Class Reference

## Public Member Functions

void | registerType (const ValueType &type)
const ValueType & | getType (ValueType::Id type_id) const

## Detailed Description

Definition at line 112 of file value.h.

## Member Function Documentation

## getType()

const ValueType & dht::TypeStore::getType | ( | ValueType::Id | type_id | ) | const

inline

Definition at line 117 of file value.h.

## registerType()

void dht::TypeStore::registerType | ( | const ValueType & | type | ) |

inline

Definition at line 114 of file value.h.

The documentation for this class was generated from the following file:

- /tmp/slackbuilds_libs/opendht-1.7.4/include/opendht/value.h